Skip to content

Get List Of Withdrawal Orders

Endpoint

GET https://api.mycactus.dev/custody/v1/api/projects/{b_id}/integrated/withdraw-orders
GET https://api.mycactus.com/custody/v1/api/projects/{b_id}/integrated/withdraw-orders

Parameters

Path Parameters

FieldTypeDescription
b_id
Required
StringBusiness line ID

Query Parameters

FieldTypeDescription
currency_array
Optional
String[]Asset name
status_array
Optional
String[]Order Status
start_date_time
Optional
LongOrder creation time start time (default query within 6 months data without transmission)
end_date_time
Optional
LongOrder creation time end time (default query within 6 months data without transmission)
keyword
Optional
StringSearch (Order ID, destination address, destination wallet)
address
Optional
StringDestination address
offset
Required
IntegerOffset
limit
Required
IntegerLimit

Response

Response Body

FieldTypeDescription
codeIntegerResponse code (0 = success)
messageStringResponse message
successfulBooleanWhether the request was successful
dataObjectWithdrawal order list data (see data object details below)

data (object)

FieldTypeDescription
offsetIntegerOffset
limitIntegerLimit
totalIntegerTotal number of records
metadataObjectMetadata
listObject[]Order list (see list object details below).

list (object)

FieldTypeDescription
bidStringBusiness line ID
order_noStringOrder ID
currencyStringAsset name
coin_nameStringToken name
feeIntegerWithdrawal service fee
amountIntegerWithdrawal amount
dest_wallet_codeStringDestination wallet ID
dest_addressStringDestination address
dest_tagStringDestination address's tag or memo
statusStringStatus
Allowed values: PROCESSING (processing), COMPLETE (complete), FAILED (failed)
descriptionStringOrder description
create_time_stampLongOrder creation time

Response Example

{
  "code": 0,
  "data": {
    "limit": 10,
    "list": [
      {
        "bid": "string",
        "order_no": "string",
        "currency": "string",
        "coin_name": "string",
        "description": "string",
        "status": "string",
        "dest_wallet_code": "string",
        "dest_address": "string",
        "dest_tag": "string",
        "fee": 50000000,
        "amount": 200000000,
        "create_time_stamp": 1663625798000
      }
    ],
    "metadata": {},
    "offset": 0,
    "total": 1
  },
  "message": "",
  "successful": true
}